<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class towerwarspp.preset.PlayerType (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class towerwarspp.preset.PlayerType (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/preset/class-use/PlayerType.html" target="_top">Frames</a></li>
<li><a href="PlayerType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class towerwarspp.preset.PlayerType" class="title">Uses of Class<br>towerwarspp.preset.PlayerType</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.main">towerwarspp.main</a></td>
<td class="colLast">
<div class="block">The main package controls the whole game and implements the inputParameter dialog.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.preset">towerwarspp.preset</a></td>
<td class="colLast">
<div class="block">The preset package which implements all given presets.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.main">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a> in <a href="../../../towerwarspp/main/package-summary.html">towerwarspp.main</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/main/package-summary.html">towerwarspp.main</a> with parameters of type <a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></td>
<td class="colLast"><span class="typeNameLabel">AgeOfTowers.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/AgeOfTowers.html#createPlayer-towerwarspp.preset.PlayerType-">createPlayer</a></span>(<a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a>&nbsp;playerType)</code>
<div class="block">Method createPlayer to initialize a <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> with given <a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset"><code>PlayerType</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.preset">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a> in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> that return <a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getBlue--">getBlue</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getOfferedType--">getOfferedType</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getRed--">getRed</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#parsePlayerType-java.lang.String-">parsePlayerType</a></span>(java.lang.String&nbsp;type)</code>
<div class="block">Interpretiere einen Spielertypen</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a></code></td>
<td class="colLast"><span class="typeNameLabel">PlayerType.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/PlayerType.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">PlayerType.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/PlayerType.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/preset/class-use/PlayerType.html" target="_top">Frames</a></li>
<li><a href="PlayerType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
